Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ClassDeclarationContext

- org.apache.groovy.parser.antlr4.GroovyParser.ClassDeclarationContext

-     public static class GroovyParser.ClassDeclarationContext
      extends GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `TypeListContext` | `is` |
    `TypeListContext` | `ps` |
    `TypeListContext` | `scs` |
    `int` | `t` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassDeclarationContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AT()`
    `` | `public TerminalNode` | `CLASS()`
    `` | `public TerminalNode` | `ENUM()`
    `` | `public TerminalNode` | `EXTENDS()`
    `` | `public TerminalNode` | `IMPLEMENTS()`
    `` | `public TerminalNode` | `INTERFACE()`
    `` | `public TerminalNode` | `PERMITS()`
    `` | `public TerminalNode` | `RECORD()`
    `` | `public TerminalNode` | `TRAIT()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public ClassBodyContext` | `classBody()`
    `` | `public FormalParametersContext` | `formalParameters()`
    `` | `public int` | `getRuleIndex()`
    `` | `public IdentifierContext` | `identifier()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public List<? extends TypeListContext>` | `typeList()`
    `` | `public TypeListContext` | `typeList(int i)`
    `` | `public TypeParametersContext` | `typeParameters()`

- - ### Field Detail

    - #### public TypeListContext is

    - #### public TypeListContext ps

    - #### public TypeListContext scs

    - #### public int t

  - ### Constructor Detail

    - #### public ClassDeclarationContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AT()

    - #### public TerminalNode CLASS()

    - #### public TerminalNode ENUM()

    - #### public TerminalNode EXTENDS()

    - #### public TerminalNode IMPLEMENTS()

    - #### public TerminalNode INTERFACE()

    - #### public TerminalNode PERMITS()

    - #### public TerminalNode RECORD()

    - #### public TerminalNode TRAIT()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public ClassBodyContext classBody()

    - #### public FormalParametersContext formalParameters()

    - #### @Override
      public int getRuleIndex()

    - #### public IdentifierContext identifier()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public List<? extends TypeListContext> typeList()

    - #### public TypeListContext typeList(int i)

    - #### public TypeParametersContext typeParameters()